Vulnerability & Exploit Database

Back to search

WordPress WP-Property PHP File Upload Vulnerability

This module exploits a vulnerability found in WP-Property <= 1.35.0 WordPress plugin. By abusing the uploadify.php file, a malicious user can upload a file to a temp directory without authentication, which results in arbitrary code execution.

Free Metasploit Download

Get your copy of the world's leading penetration testing tool

 Download Now

Module Name

exploit/unix/webapp/wp_property_upload_exec

Authors

  • Sammy FORGIT
  • James Fitts <fitts.james [at] gmail.com>

References

Targets

  • wp-property <= 1.35.0

Platforms

  • php

Architectures

  • php

Reliability

Development

Module Options

To display the available options, load the module within the Metasploit console and run the commands 'show options' or 'show advanced':

msf > use exploit/unix/webapp/wp_property_upload_exec msf exploit(wp_property_upload_exec) > show targets ...targets... msf exploit(wp_property_upload_exec) > set TARGET <target-id> msf exploit(wp_property_upload_exec) > show options ...show and set options... msf exploit(wp_property_upload_exec) > exploit